Upstream information

CVE-2020-15522 at MITRE

Description

Bouncy Castle BC Java before 1.66, BC C# .NET before 1.8.7, BC-FJA before 1.0.1.2, 1.0.2.1, and BC-FNA before 1.0.1.1 have a timing issue within the EC math library that can expose information about the private key when an attacker is able to observe timing information for the generation of multiple deterministic ECDSA signatures.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.9 5.9
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
Attack Vector Network Network
Attack Complexity High High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1186328 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
  • bouncycastle >= 1.64-3.3.1
  • bouncycastle >= 1.71-150200.3.9.4
  • bouncycastle-pg >= 1.64-3.3.1
  • bouncycastle-pg >= 1.71-150200.3.9.4
  • bouncycastle-pkix >= 1.71-150200.3.9.4
  • bouncycastle-util >= 1.71-150200.3.9.4
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP3-2021-2163
SUSE-Storage-7.1-2023-775
SUSE Enterprise Storage 7
  • bouncycastle >= 1.64-3.3.1
  • bouncycastle >= 1.71-150200.3.9.4
  • bouncycastle-pg >= 1.64-3.3.1
  • bouncycastle-pg >= 1.71-150200.3.9.4
  • bouncycastle-pkix >= 1.71-150200.3.9.4
  • bouncycastle-util >= 1.71-150200.3.9.4
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP2-2021-2163
SUSE-Storage-7-2023-775
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Development Tools 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • bouncycastle >= 1.64-3.3.1
  • bouncycastle-pg >= 1.64-3.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP2-2021-2163
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Development Tools 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • bouncycastle >= 1.64-3.3.1
  • bouncycastle-pg >= 1.64-3.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP3-2021-2163
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Development Tools 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • bouncycastle >= 1.64-3.3.1
  • bouncycastle-pg >= 1.64-3.3.1
  • bouncycastle-pkix >= 1.71-150200.3.9.4
  • bouncycastle-util >= 1.71-150200.3.9.4
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP4 GA bouncycastle-1.64-3.3.1
SUSE-SLE-Module-Development-Tools-15-SP4-2023-775
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Development Tools 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • bouncycastle >= 1.71-150200.3.9.4
  • bouncycastle-pg >= 1.71-150200.3.9.4
  • bouncycastle-pkix >= 1.71-150200.3.9.4
  • bouncycastle-util >= 1.71-150200.3.9.4
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA ant-1.10.12-150200.4.12.5
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA ant-antlr-1.10.12-150200.4.12.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA ant-contrib-1.0b3-150200.11.8.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA ant-junit-1.10.12-150200.4.12.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA antlr-2.7.7-150200.18.7.5
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA apache-commons-cli-1.5.0-150200.3.6.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA apache-commons-compress-1.21-150200.3.13.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA apache-commons-configuration-1.10-150200.3.6.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA apache-commons-lang3-3.12.0-150200.3.6.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA apache-commons-text-1.10.0-150200.5.5.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA apache-ivy-2.5.1-150200.3.6.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA apache-pdfbox-2.0.23-150200.3.6.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA apache-sshd-2.7.0-150200.5.5.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA aqute-bnd-5.2.0-150200.3.6.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA args4j-2.33-150200.3.6.5
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA atinject-1+20160610git1f74ea7-150200.3.6.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA avalon-logkit-2.1-150200.11.6.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA aws-sdk-java-1.11.3-150200.3.6.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA base64coder-20101219-150200.3.6.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA beust-jcommander-1.71-150200.3.6.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA bouncycastle-1.72-150200.3.12.1
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA bsf-2.4.0-150200.13.6.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA bsh2-2.0.0.b6-150200.12.6.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA cdi-api-2.0.2-150200.3.6.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA dom4j-1.6.1-150200.12.6.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA ed25519-java-0.3.0-150200.5.3.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA extra166y-1.7.0-150200.3.4.15
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA geronimo-specs-1.2-150200.15.6.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA glassfish-annotation-api-1.3.2-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA glassfish-jaxb-api-2.4.0-150200.5.3.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA glassfish-servlet-api-3.1.0-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA google-gson-2.8.9-150200.3.10.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA google-guice-4.1-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA gpars-1.2.1-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA gradle-4.4.1-150200.3.10.1
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA groovy-2.4.21-150200.3.7.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA guava-30.1.1-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA hamcrest-1.3-150200.12.10.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA httpcomponents-client-4.5.12-150200.3.6.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA httpcomponents-core-4.4.13-150200.3.6.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA icu4j-71.1-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA isorelax-0.1-150200.11.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jansi-2.4.0-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jatl-0.2.2-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA javaewah-1.1.6-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA javapackages-meta-5.3.0-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA javapackages-tools:extras-5.3.1-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jboss-interceptors-1.2-api-1.0.0-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jcifs-1.3.19-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jcip-annotations-1.0-150000.4.8.2
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jcsp-1.1~rc5-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jdepend-2.10-150200.11.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jdom-1.1.3-150200.12.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jdom-1.1.6-150200.12.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jdom-1.2b1-150200.12.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jdom2-2.0.6.1-150200.3.7.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jetty-minimal-9.4.48-150200.3.16.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jgit-5.11.0-150200.5.3.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jing-trang-20181222-150200.10.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jline1-1.0-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA joda-time-2.10.1-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jsch-0.1.55-150200.11.7.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jtidy-8.0-150200.11.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA junit-4.13.2-150200.3.8.1
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA jzlib-1.1.3-150200.11.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA kryo-4.0.2-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA libreadline-java-0.8.0-150000.6.8.2
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-3.8.6-150200.4.9.8
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-archiver-3.5.0-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-artifact-transfer-0.13.1-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-common-artifact-filters-3.0.1-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-compiler-plugin-3.10.1-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-doxia-1.9.1-150200.4.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-doxia-sitetools-1.9.2-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-file-management-3.0.0-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-filtering-3.2.0-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-invoker-3.1.0-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-jar-plugin-3.2.2-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-javadoc-plugin-3.3.2-150200.4.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-plugin-tools-3.6.0-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-reporting-api-3.1.0-150200.3.4.13
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-resolver-1.7.3-150200.3.6.1
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-resources-plugin-3.2.0-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-shared-incremental-1.1-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-shared-io-3.0.0-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-shared-utils-3.3.3-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-surefire-2.22.0-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-surefire-plugins-2.22.0-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven-wagon-3.2.0-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA maven2-2.2.1-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA minlog-1.3.1-150200.3.7.8
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA multiverse-0.7.0-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA native-platform-0.14-150200.3.4.21
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA nekohtml-1.9.22.noko2-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA netty-tcnative-2.0.59-150200.3.10.1
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA netty3-3.10.6-150200.3.7.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA objenesis-3.1-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA osgi-annotation-7.0.0-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA osgi-compendium-7.0.0-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA osgi-core-7.0.0-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-archiver-4.2.1-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-build-api-0.0.7-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-cipher-2.0-150200.3.4.16
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-classworlds-2.6.0-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-compiler-2.11.1-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-component-api-1.0~alpha15-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-component-metadata-2.1.1-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-containers-2.1.1-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-i18n-1.0~beta10-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-interactivity-1.0~alpha6-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-interpolation-1.26-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-io-3.2.0-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-languages-1.1.1-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-sec-dispatcher-2.0-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-utils-3.3.1-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA plexus-velocity-1.2-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA qdox-2.0.1-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA reflectasm-1.11.0-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA relaxngDatatype-2011.1-150200.10.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA saxon9-9.4.0.7-150200.12.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA servletapi4-4.0.4-150000.5.8.2
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA sisu-0.3.5-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA slf4j-1.7.36-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA snakeyaml-1.33-150200.3.12.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA tesla-polyglot-0.4.5-150200.3.4.4
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA tesla-polyglot:bootstrap-0.4.5-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA testng-7.4.0-150200.3.7.1
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA velocity-1.7-150200.3.7.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA werken-xpath-0.9.4-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA ws-jaxme-0.5.2-150200.12.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA xbean-4.20-150200.4.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA xmlgraphics-batik-1.15-150200.4.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA xmlgraphics-commons-2.6-150200.3.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA xmlgraphics-fop-2.7-150200.13.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA xmvn-4.0.0-150200.3.7.1
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA xmvn-connector-4.0.0-150200.5.3.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA xmvn-connector-gradle-4.0.0~20220507.11a6169-150200.3.16.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA xmvn-connector-ivy-4.0.0~20220302.6a60be3-150200.2.17.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA xmvn-mojo-4.0.0-150200.3.7.8
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA xmvn-tools-4.0.0-150200.3.14.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA xpp2-2.1.10-150200.11.4.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA xpp3-1.1.4c-150200.11.6.3
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA xstream-1.4.20-150200.3.25.1
SUSE Linux Enterprise Module for Development Tools 15 SP5 GA xz-java-1.8-150200.3.4.3
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • bouncycastle >= 1.71-150200.3.9.4
  • bouncycastle-pg >= 1.71-150200.3.9.4
  • bouncycastle-pkix >= 1.71-150200.3.9.4
  • bouncycastle-util >= 1.71-150200.3.9.4
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2023-775
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • bouncycastle >= 1.71-150200.3.9.4
  • bouncycastle-pg >= 1.71-150200.3.9.4
  • bouncycastle-pkix >= 1.71-150200.3.9.4
  • bouncycastle-util >= 1.71-150200.3.9.4
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-775
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • bouncycastle >= 1.71-150200.3.9.4
  • bouncycastle-pg >= 1.71-150200.3.9.4
  • bouncycastle-pkix >= 1.71-150200.3.9.4
  • bouncycastle-util >= 1.71-150200.3.9.4
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-775
SUSE Linux Enterprise Real Time 15 SP3
  • bouncycastle >= 1.71-150200.3.9.4
  • bouncycastle-pg >= 1.71-150200.3.9.4
  • bouncycastle-pkix >= 1.71-150200.3.9.4
  • bouncycastle-util >= 1.71-150200.3.9.4
Patchnames:
SUSE-SLE-Product-RT-15-SP3-2023-775
SUSE Linux Enterprise Server 15 SP2-LTSS
  • bouncycastle >= 1.71-150200.3.9.4
  • bouncycastle-pg >= 1.71-150200.3.9.4
  • bouncycastle-pkix >= 1.71-150200.3.9.4
  • bouncycastle-util >= 1.71-150200.3.9.4
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2023-775
SUSE Linux Enterprise Server 15 SP3-LTSS
  • bouncycastle >= 1.71-150200.3.9.4
  • bouncycastle-pg >= 1.71-150200.3.9.4
  • bouncycastle-pkix >= 1.71-150200.3.9.4
  • bouncycastle-util >= 1.71-150200.3.9.4
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-775
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • bouncycastle >= 1.64-3.3.1
  • bouncycastle >= 1.71-150200.3.9.4
  • bouncycastle-pg >= 1.64-3.3.1
  • bouncycastle-pg >= 1.71-150200.3.9.4
  • bouncycastle-pkix >= 1.71-150200.3.9.4
  • bouncycastle-util >= 1.71-150200.3.9.4
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP2-2021-2163
SUSE-SLE-Product-SLES_SAP-15-SP2-2023-775
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • bouncycastle >= 1.64-3.3.1
  • bouncycastle >= 1.71-150200.3.9.4
  • bouncycastle-pg >= 1.64-3.3.1
  • bouncycastle-pg >= 1.71-150200.3.9.4
  • bouncycastle-pkix >= 1.71-150200.3.9.4
  • bouncycastle-util >= 1.71-150200.3.9.4
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP3-2021-2163
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-775
openSUSE Leap 15.2
  • bouncycastle >= 1.64-lp152.2.3.1
  • bouncycastle-javadoc >= 1.64-lp152.2.3.1
  • bouncycastle-mail >= 1.64-lp152.2.3.1
  • bouncycastle-pg >= 1.64-lp152.2.3.1
  • bouncycastle-pkix >= 1.64-lp152.2.3.1
  • bouncycastle-tls >= 1.64-lp152.2.3.1
Patchnames:
openSUSE-2021-940
openSUSE Leap 15.3
  • bouncycastle >= 1.64-3.3.1
  • bouncycastle-javadoc >= 1.64-3.3.1
  • bouncycastle-mail >= 1.64-3.3.1
  • bouncycastle-pg >= 1.64-3.3.1
  • bouncycastle-pkix >= 1.64-3.3.1
  • bouncycastle-tls >= 1.64-3.3.1
Patchnames:
openSUSE-SLE-15.3-2021-2163
openSUSE Leap 15.4
  • bouncycastle >= 1.71-150200.3.9.4
  • bouncycastle-javadoc >= 1.71-150200.3.9.4
  • bouncycastle-mail >= 1.71-150200.3.9.4
  • bouncycastle-pg >= 1.71-150200.3.9.4
  • bouncycastle-pkix >= 1.71-150200.3.9.4
  • bouncycastle-tls >= 1.71-150200.3.9.4
  • bouncycastle-util >= 1.71-150200.3.9.4
Patchnames:
openSUSE-SLE-15.4-2023-775
openSUSE Tumbleweed
  • bouncycastle >= 1.68-3.2
  • bouncycastle-javadoc >= 1.68-3.2
  • bouncycastle-mail >= 1.68-3.2
  • bouncycastle-pg >= 1.68-3.2
  • bouncycastle-pkix >= 1.68-3.2
  • bouncycastle-tls >= 1.68-3.2
  • jameica >= 2.10.4-1.1
  • jameica-devel >= 2.10.4-1.1
  • jameica-javadoc >= 2.10.4-1.1
Patchnames:
openSUSE Tumbleweed GA bouncycastle-1.68-3.2
openSUSE Tumbleweed GA jameica-2.10.4-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 bouncycastle Released
SUSE Linux Enterprise Desktop 15 SP5 bouncycastle Released
SUSE Linux Enterprise High Performance Computing 15 SP5 bouncycastle Released
SUSE Linux Enterprise Module for Development Tools 15 SP5 bouncycastle Released
SUSE Linux Enterprise Real Time 15 SP3 bouncycastle Released
SUSE Linux Enterprise Server 15 SP5 bouncycastle Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 bouncycastle Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 bouncycastle Released
SUSE Manager Proxy 4.3 bouncycastle Released
SUSE Manager Retail Branch Server 4.3 bouncycastle Released
SUSE Manager Server 4.3 bouncycastle Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 bouncycastle Released
SUSE Linux Enterprise High Performance Computing 15 SP2 bouncycastle Released
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS bouncycastle Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS bouncycastle Released
SUSE Linux Enterprise High Performance Computing 15 SP3 bouncycastle Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS bouncycastle Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS bouncycastle Released
SUSE Linux Enterprise High Performance Computing 15 SP4 bouncycastle Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS bouncycastle Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS bouncycastle Affected
SUSE Linux Enterprise Module for Development Tools 15 SP2 bouncycastle Released
SUSE Linux Enterprise Module for Development Tools 15 SP3 bouncycastle Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 bouncycastle Released
SUSE Linux Enterprise Server 15 SP2 bouncycastle Released
SUSE Linux Enterprise Server 15 SP2-LTSS bouncycastle Released
SUSE Linux Enterprise Server 15 SP3 bouncycastle Released
SUSE Linux Enterprise Server 15 SP3-LTSS bouncycastle Released
SUSE Linux Enterprise Server 15 SP4 bouncycastle Released
SUSE Linux Enterprise Server 15 SP4-LTSS bouncycastle Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 bouncycastle Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 bouncycastle Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP2 bouncycastle Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 bouncycastle Released
Products past their end of life and not receiving proactive updates anymore.
SUSE Enterprise Storage 7 bouncycastle Released
SUSE Linux Enterprise Desktop 15 SP2 bouncycastle Released
SUSE Linux Enterprise Desktop 15 SP3 bouncycastle Released
SUSE Linux Enterprise Real Time 15 SP2 bouncycastle Affected
SUSE Linux Enterprise Real Time 15 SP4 bouncycastle Affected
SUSE Linux Enterprise Server 15 SP2-BCL bouncycastle Affected
SUSE Linux Enterprise Server 15 SP3-BCL bouncycastle Affected
SUSE Manager Proxy 4.1 bouncycastle Released
SUSE Manager Proxy 4.2 bouncycastle Released
SUSE Manager Retail Branch Server 4.1 bouncycastle Released
SUSE Manager Retail Branch Server 4.2 bouncycastle Released
SUSE Manager Server 4.1 bouncycastle Released
SUSE Manager Server 4.2 bouncycastle Released
Products at an unknown state of their lifecycle.
SUSE Linux Enterprise Desktop 15 SP4-LTSS bouncycastle Affected


SUSE Timeline for this CVE

CVE page created: Fri May 21 09:46:02 2021
CVE page last modified: Tue Jan 2 15:18:20 2024